## Селекторы

Поддерживаются все CSS селекторы из любого препроцессора. Для каждого из тегов в селекторах 1CSS есть однозначно одно свойство CSS. Таблица соответствий преведены ниже.

### Соответствие тегам в селекторах 1CSS тегам HTML

Тег | Тег HTML | Описание
--- | --- | ---
я | a | Defines a hyperlink
аббр | abbr | Defines an abbreviation
акроним | acronym | Not supported in HTML5. Defines an acronym
адрес | address | Defines contact information for the author/owner of a document
апплет | applet | Not supported in HTML5. Deprecated in HTML 4.01. Defines an embedded applet
зона | area | Defines an area inside an image-map
статья | article | Defines an article
вcтороне | aside | Defines content aside from the page content
аудио | audio | Defines sound content
ж | b | Defines bold text
база | base | Specifies the base URL/target for all relative URLs in a document
базовыйшрифт| basefont | Not supported in HTML5. Deprecated in HTML 4.01.Specifies a default color, size, and font for all text in a document
бси | bdi | Isolates a part of text that might be formatted in a different direction from other text outside it
бсп | bdo | Overrides the current text direction
большой | big | Not supported in HTML5. Defines big text
блочнаяцитата | blockquote | Defines a section that is quoted from another source
тело | body | Defines the document's body
рз | br | Defines a single line break
кнопка | button | Defines a clickable button
холст | canvas | Used to draw graphics, on the fly, via scripting (usually JavaScript)
подпись | caption | Defines a table caption
центр | center | Not supported in HTML5. Deprecated in HTML 4.01. Defines centered text
цитата | cite | Defines the title of a work
код | code | Defines a piece of computer code
колонка | col | Specifies column properties for each column within a <colgroup> element
группаколонок | colgroup | Specifies a group of one or more columns in a table for formatting
команда | command | Defines a command button that a user can invoke
наборданных | datalist | Specifies a list of pre-defined options for input controls
оз | dd | Defines a description/value of a term in a description list
удал | del | Defines text that has been deleted from a document
детали | details | Defines additional details that the user can view or hide
опр | dfn | Defines a definition term
диалог | dialog | Defines a dialog box or window
спис | dir | Not supported in HTML5. Deprecated in HTML 4.01. Defines a directory list
див | div | Defines a section in a document
со | dl | Defines a description list
оп | dt | Defines a term/name in a description list
подч | em | Defines emphasized text
вставлен{ный} | embed | Defines a container for an external (non-HTML) application
наборполей | fieldset | Groups related elements in a form
фигзаголовок | figcaption | Defines a caption for a <figure> element
фигура | figure | Specifies self-contained content
шрифт | font | Not supported in HTML5. Deprecated in HTML 4.01. Defines font, color, and size for text
подвал | footer | Defines a footer for a document or section
форма | form | Defines an HTML form for user input
рамка | frame | Not supported in HTML5. Defines a window (a frame) in a frameset
наборрамок | frameset | Not supported in HTML5. Defines a set of frames
з1 | h1 | Defines HTML headings
з2 | h2 | Defines HTML headings
з3 | h3 | Defines HTML headings
з4 | h4 | Defines HTML headings
з5 | h5 | Defines HTML headings
з6 | h6 | Defines HTML headings
голова | head | Defines information about the document
заголовок | header | Defines a header for a document or section
гл | hr | Defines a thematic change in the content
ягтр | html | Defines the root of an HTML document
н | i | Defines a part of text in an alternate voice or mood
айрамка | iframe | Defines an inline frame
крт | img | Defines an image
ввод | input | Defines an input control
вст | ins | Defines a text that has been inserted into a document
клав | kbd | Defines keyboard input
генключа | keygen | Defines a key-pair generator field (for forms)
метка | label | Defines a label for an <input> element
легенда | legend | Defines a caption for a <fieldset> element
эс | li | Defines a list item
ссылка | link | Defines the relationship between a document and an external resource (most used to link to style sheets)
карта | map | Defines a client-side image-map
пометка | mark | Defines marked/highlighted text
меню | menu | Defines a list/menu of commands
мета | meta | Defines metadata about an HTML document
метр | meter | Defines a scalar measurement within a known range (a gauge)
нав | nav | Defines navigation links
нетрамок | noframes | Not supported in HTML5.Defines an alternate content for users that do not support frames
нетскрипта | noscript | Defines an alternate content for users that do not support client-side scripts
объект | object | Defines an embedded object
ус | ol | Defines an ordered list
группаопц | optgroup | Defines a group of related options in a drop-down list
опция | option | Defines an option in a drop-down list
вывод | output | Defines the result of a calculation
п | p | Defines a paragraph
парам | param | Defines a parameter for an object
пре | pre | Defines preformatted text
прогресс | progress | Represents the progress of a task
ц | q | Defines a short quotation
рп | rp | Defines what to show in browsers that do not support ruby annotations
рт | rt | Defines an explanation/pronunciation of characters (for East Asian typography)
руби | ruby | Defines a ruby annotation (for East Asian typography)
з | s | Defines text that is no longer correct
прим | samp | Defines sample output from a computer program
скрипт | script | Defines a client-side script
раздел | section | Defines a section in a document
выбор | select | Defines a drop-down list
маленький | small | Defines smaller text
источник | source | Defines multiple media resources for media elements (<video> and <audio>)
спан | span | Defines a section in a document
зачеркнут | strike | Not supported in HTML5. Deprecated in HTML 4.01. Defines strikethrough text
сильный | strong | Defines important text
стиль | style | Defines style information for a document
под | sub | Defines subscripted text
сводка | summary | Defines a visible heading for a <details> element
над | sup | Defines superscripted text
таблица | table | Defines a table
ттело | tbody | Groups the body content in a table
тя | td | Defines a cell in a table
текстовоеполе | textarea | Defines a multiline input control (text area)
тнога | tfoot | Groups the footer content in a table
тз | th | Defines a header cell in a table
тголова | thead | Groups the header content in a table
время | time | Defines a date/time
название | title | Defines a title for the document
тс | tr | Defines a row in a table
трек | track | Defines text tracks for media elements (<video> and <audio>)
тт | tt | Not supported in HTML5. Defines teletype text
пдч | u | Defines text that should be stylistically different from normal text
нс | ul | Defines an unordered list
пер | var | Defines a variable
видео | video | Defines a video or movie
рзр | wbr | Defines a possible line-break

### Дополнительные теги

Тег | Тег HTML | Описание
--- | --- | ---
шаблон | template | Defines a template
главный | main |
згруппа | hgroup |

### Медия и прочие

Тег | Тег HTML | Описание
--- | --- | ---
@носитель | @media | ???
